<template>
<div>
<div id="titlebar" class="gradient">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<h2>Get your outfit !</h2>
			</div>
		</div>
	</div>
</div>
<div class="container">
	<div class="row">
  <div class="clearfix"></div>
    <div class="col-lg-9 col-md-8 padding-right-20">
      <div class="dashboard-list-box margin-top-0">
        <h4>List of outfit items</h4>
					<ul>
          <li class="col-md-4" v-for="item of outfit_item">
							<div class="blog-compact-item">
								<img v-bind:src="'../../static/images/outfit/'+item[0].photo" alt="">
								<div class="blog-compact-item-content">
									<h3>{{item[0].name}}</h3>
                  <div class="buttons-to-right">
								    <button @click.stop="detailsoutfit(item[0]._id)" class="button gray">Details</button>
							    </div>
								</div>
							</div>	
					</li>
          </ul>
        </div> 
    </div>
    <div class="col-lg-3 col-md-3">
      <div class="sidebar">

				<!-- Widget -->
				<div class="widget margin-bottom-40">
					<h3 class="margin-top-0 margin-bottom-30">Filters</h3>

					<!-- Row -->
					<div class="row with-forms">
						<!-- Cities -->
            <form @submit="onSubmit">
						  <div class="col-md-12">
							  <input type="text" placeholder="What are you looking for?" id="activities"/>
						  </div>
              <button class="button fullwidth margin-top-25">Get outfit</button>
            </form>
					</div>
        </div>
      </div>    
    </div>   
    </div>
    </div>
</div>    
</template>

<script>
import axios from "axios";
import Vue from 'vue'
import OutfitSuggestion from '@/components/OutfitSuggestion'
var GeoPoint = require("geopoint");


export default {
  name: "outfitSuggestion",
  data() {
    return {
      outfit_item:[],
      currentLat: Number,
      currentLng: Number,
      stations: [],
      distances: [],
      nearest_station: {},
      current_weather : {}
    };    
  },
  created() {
    axios
      .get("http://ip-api.com/json")
      .then(response => {
        this.currentLat = response.data.lat;
        this.currentLng = response.data.lon;
        console.log("current pos:");
        console.log(this.currentLat);
        console.log(this.currentLng);
        axios
          .get("http://34.244.196.28:443/stations/")
          .then(response => {
            this.stations = response.data;
            console.log(this.stations);
            var currentPos = new GeoPoint(this.currentLat, this.currentLng);
            var stationPos = new GeoPoint(
              this.stations[0].lat,
              this.stations[0].lng
            );
            var initial_distance = currentPos.distanceTo(stationPos, true);
            this.nearest_station = this.stations[0];
            console.log(this.stations[0].lat);
            console.log("initial distance:");
            console.log(initial_distance);
            for (var i = 1; i < this.stations.length; i++) {
              console.log("lat");
              console.log(this.stations[i].lat);
              var currentPos = new GeoPoint(this.currentLat, this.currentLng);
              var stationPos = new GeoPoint(
                this.stations[i].lat,
                this.stations[i].lng
              );
              var distance = currentPos.distanceTo(stationPos, true);
              console.log("distance:");
              console.log(distance);
              if (distance < initial_distance) {
                initial_distance = distance;
                this.nearest_station = this.stations[i];
                console.log("initial distance:");
                console.log(initial_distance);
              }
            }

            console.log("after boucle for:");
            console.log(initial_distance);
            console.log(this.nearest_station);
            axios
              .get(
                "http://34.244.196.28:443/weather/weatherByStation/" +
                  this.nearest_station._id
              )
              .then(response => {
                console.log(response.data);
                console.log(response.data[response.data.length-1]);
                this.current_weather = response.data[response.data.length-1];
              })
              .catch(e => {
                console.log(e);
              });



          })
          .catch(e => {
            console.log(e);
          });
      })
      .catch(e => {
        console.log(e);
      });
  },
  methods: {
      onSubmit (evt) {
      evt.preventDefault()
	    var activitie=document.getElementById("activities").value
      axios.get('http://34.244.196.28:443/outfit_item/compare/outfit/'+activitie+'/'+15)
      .then(response => {
          this.outfit_item=response.data;
		  console.log(this.outfit_item)
      })
      .catch(e => {
        this.errors.push(e)
      })
    },
    detailsoutfit (outfitid) {
      this.$router.push({
        name: 'OutfitSuggestionDetail',
        params: { id: outfitid }
      })
    }
  }
};
</script>
